<?php

namespace Drupal\entity_crud_alter_status_message\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\entity_crud_alter_status_message\EntityCrudAlterStatusMessageInterface;

/**
 * Defines the entity crud alter status message entity type.
 *
 * @ConfigEntityType(
 *   id = "entity_crud_alter_status_message",
 *   label = @Translation("Entity CRUD Alter Status Message"),
 *   label_collection = @Translation("Entity CRUD Alter Status Messages"),
 *   label_singular = @Translation("entity crud alter status message"),
 *   label_plural = @Translation("entity crud alter status messages"),
 *   label_count = @PluralTranslation(
 *     singular = "@count entity crud alter status message",
 *     plural = "@count entity crud alter status messages",
 *   ),
 *   handlers = {
 *     "list_builder" = "Drupal\entity_crud_alter_status_message\EntityCrudAlterStatusMessageListBuilder",
 *     "form" = {
 *       "add" = "Drupal\entity_crud_alter_status_message\Form\EntityCrudAlterStatusMessageForm",
 *       "edit" = "Drupal\entity_crud_alter_status_message\Form\EntityCrudAlterStatusMessageForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *   },
 *   config_prefix = "entity_crud_alter_status_message",
 *   admin_permission = "administer entity_crud_alter_status_message",
 *   links = {
 *     "collection" = "/admin/structure/entity-crud-alter-status-message",
 *     "add-form" = "/admin/structure/entity-crud-alter-status-message/add",
 *     "edit-form" = "/admin/structure/entity-crud-alter-status-message/{entity_crud_alter_status_message}",
 *     "delete-form" = "/admin/structure/entity-crud-alter-status-message/{entity_crud_alter_status_message}/delete",
 *   },
 *   entity_keys = {
 *     "id" = "id"
 *   },
 *   config_export = {
 *     "id",
 *     "entity_type",
 *     "entity_bundle",
 *     "crud_action",
 *     "message",
 *   },
 * )
 */
final class EntityCrudAlterStatusMessage extends ConfigEntityBase implements EntityCrudAlterStatusMessageInterface {

  /**
   * The Example ID.
   *
   * @var string
   */
  protected $id;


  /**
   * The Entity Type.
   *
   * @var string
   */
  protected $entity_type;

  /**
   * The Entity Bundle.
   *
   * @var string
   */
  protected $entity_bundle;

  /**
   * The Entity Action.
   *
   * @var string
   */
  protected $crud_action;

  /**
   * The Entity Message.
   *
   * @var string
   */
  protected $message;

  /**
   * Gets the message.
   */
  public function getMessage(): string {
    return $this->message['value'] ?? '';
  }

}
