<?php

declare(strict_types=1);

namespace Drupal\entity_crud_alter_status_message;

/**
 * Manages the entity crud alter status message.
 */
interface EntityCrudAlterStatusMessageManagerInterface {

  /**
   * Get the message.
   */
  public function getEntityCrudAlterStatusMessage($entity_type, $bundle, $operation);

  /**
   * Get the Crud mapping.
   */
  public function getCrudMapping($entity_type);

  /**
   * Get valid entity types.
   */
  public function getValidEntityTypes();

}
